unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, ExtCtrls, TeeProcs, Chart, StdCtrls, TeCanvas;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TLineSeries;
    Button1: TButton;
    Image1: TImage;
    Button2: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  chart1.LeftAxis.LabelsFont.Size := 6;
end;

procedure TForm1.Button2Click(Sender: TObject);
var m: TMetafileCanvas;
    MyChart: TChart;
    Series: TLineSeries;
begin
  m := TMetafileCanvas.Create(image1.Picture.Metafile, 0);
  try
    MyChart := TChart.Create(nil);
    try
      MyChart.Assign(Chart1);
      Series := TLineSeries.Create(MyChart);
      MyChart.AddSeries(Series);
      MyChart.Series[0].Assign(Chart1.Series[0]);
      MyChart.LeftAxis.LabelsFont.Size := 6; // <-- This has no affect
      MyChart.CustomChartRect := true;
      MyChart.ChartRect := TeeRect(0, 0, image1.ClientRect.Right, image1.ClientRect.Bottom);
      MyChart.DrawToMetaCanvas(m, MyChart.ChartRect);
    finally
      MyChart.Free;
    end;
  finally
  m.Free;
  end;

end;

procedure TForm1.FormShow(Sender: TObject);
begin
  chart1.Series[0].FillSampleValues(100);
end;

end.
